angular
.module('gu.route', [])
.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  // 文章详细页 - 参数：文章ID
  .state('detail-news', {
    url: '/detail_news/:id',
    nativeTransitions: {
      type: "flip",
      direction: "up"
    },
    templateUrl: 'views/detail/news.html',
    controller: 'DetailNewsCtrl'
  })

  // 公众号详细 - 参数：公众号ID
  .state('detail-journal', {
    url: '/detail_journal/:id',
    nativeTransitions: {
      type: "flip",
      direction: "up"
    },
    templateUrl: 'views/detail/journal.html',
    controller: 'DetailJournalCtrl'
  })

  // 推荐菜单
  .state('home', {
    url: '/home',
    nativeTransitions: {
      type: "fade",
      duration: 400
    },
    templateUrl: 'views/tab_home/main.html',
    controller: 'HomeCtrl'
  })

  // 关注菜单
  .state('focus', {
    url: '/focus',
    nativeTransitions: {
      type: "fade",
      duration: 400
    },
    templateUrl: 'views/tab_focus/main.html',
    controller: 'FocusCtrl'
  })

  // 小刊菜单
  .state('journal', {
    url: '/journal',
    nativeTransitions: {
      type: "fade",
      duration: 400
    },
    templateUrl: 'views/tab_journal/main.html',
    controller: 'JournalCtrl'
  })

  // 小刊->分类菜单
  .state('category', {
    url: '/category/:index',
    templateUrl: 'views/tab_focus/category/main.html',
    controller: 'JournalCategoryCtrl'
  })

  //home->最火页面
  .state('hot', {
    url: '/hot',
    templateUrl: 'views/tab_home/hot/main.html',
    controller: 'HotCategoryCtrl'
  })

  //home->最热页面
  .state('fire', {
    url: '/fire',
    templateUrl: 'views/tab_home/fire/main.html',
    controller: 'FireCategoryCtrl'
  })
  // 小刊->搜索结果
  .state('search', {
    url: '/search/',
    params: {
      keyword: ''
    },
    templateUrl: 'views/tab_journal/search/main.html',
    controller: 'SearchCtrl'
  })

  // 小刊->专题结果
  .state('topic', {
    url: '/topic/:index',
    params: {
      keyword: ''
    },
    templateUrl: 'views/tab_focus/topic/main.html',
    controller: 'TopicCtrl'
  })

  // 小刊->所有journal
   .state('all-journal', {
    url: '/all-journal',
    templateUrl: 'views/tab_journal/allJournal/main.html',
    controller: 'AllJournalCategoryCtrl'
  })

  // 我的菜单
  .state('user', {
    url: '/user',
    nativeTransitions: {
      type: "fade",
      duration: 400
    },
    templateUrl: 'views/tab_user/main.html',
    controller: 'UserCtrl'
  })
  // 我关注的小刊
  .state('user-focus', {
    url: '/user_focus',
    templateUrl: 'views/tab_user/focus/main.html',
    controller: 'UserFocusCtrl'
  })
  // 我的收藏菜单
  .state('user-heart', {
    url: '/user_heart',
    templateUrl: 'views/tab_user/heart/main.html',
    controller: 'UserHeartNewsCtrl'
  })
  // 我的点赞菜单
  .state('user-like', {
    url: '/user_like',
    templateUrl: 'views/tab_user/like/main.html',
    controller: 'UserLikeNewsCtrl'
  })
  // 我的信息菜单
  .state('user-info', {
    url: '/info',
    templateUrl: 'views/tab_user/info/main.html',
    controller: 'UserInfoCtrl'
  })

  //关于菜单
  .state('about', {
    url: '/about',
    templateUrl: 'views/tab_user/about/main.html'
  })

  $urlRouterProvider.otherwise('/home');
})
