angular
.module('gu.controller')
.controller('JournalCategoryCtrl', function($scope, $rootScope, $state, $ionicHistory, $timeout, $location, $ionicLoading, $stateParams, $ionicScrollDelegate, LocalService, ApiService) {
  console.log('小刊分类详情页');
  $scope.data = {
    
    categoryIndex: $stateParams.index,
    categories: LocalService.categories(),
    topNews: [],
    totalPage: 1,
    pageNo: 1
  };

  console.log($scope.data.categoryIndex);

  $scope.goBack = function() {
    $rootScope.$ionicGoBack();;
  }

  $rootScope.$on('FOCUS_CLICKED', function(event, data) {
    for (var index = 0; index < $scope.data.journals.length; index++) {
      if ($scope.data.journals[index].JID == data.journalID)
        break;
    }

    if (index < $scope.data.journals.length) {
      if (data.addFlag) {
        $scope.data.journals[index].focuses_count ++;
      } else {
        $scope.data.journals[index].focuses_count --;
      }
    }
  });

  $scope.doRefresh = function() {
    init();
    $scope.$broadcast('scroll.refreshComplete');
  };


   $scope.loadMoreNews = function() {
    var categoryID = currentCategoryID();
    ApiService
      .loadAllTopNews({
        pageNo: $scope.data.pageNo + 1,
        categoryID: categoryID
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;

        for (var i = 0; i < response.data.news.length; i++) {
          var topNews = response.data.news[i];
          $scope.data.topNews.push(topNews);
        }
      })
      .catch(function(response) {
      })
      .finally(function() {
        $scope.$broadcast('scroll.infiniteScrollComplete');
      })
  }

  function init() {
   var categoryID = currentCategoryID();
    $ionicLoading.show({
      template: '加载中...',
      showBackdrop: true,
    });
    ApiService
      .loadAllTopNews({
        pageNo: 1,
        categoryID: categoryID
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.topNews = response.data.news;
      })
      .catch(function(error) {
      })
      .finally(function() {
        $ionicScrollDelegate.$getByHandle('mainScroll').scrollTop();
        $ionicLoading.hide();
      });
  }



  $scope.$on('$ionicView.beforeEnter', function(event, data) {
    init();
  })



 function currentCategoryID() {
    return ($scope.data.categoryIndex == -1) ? 0 : $scope.data.categories[$scope.data.categoryIndex].sid;
  }


})
