angular
.module('gu.controller')
.controller('FocusCtrl', function($scope, $rootScope, $state, $ionicHistory, $ionicLoading,LocalService,AuthService, ModalService, ApiService) {
  console.log('关注页');
  $scope.data = {
    topNews: [],
    // loadingFinished: false,

    pageNo: 1,
    totalPage: 1,
    totalCount: 0,
    journalCount: 0,
    categoryIndex: -1,
    categories: []
  };

  $rootScope.$on('FOCUS_CLICKED', function(event, data) {
    if (data.addFlag) {
      $scope.data.journalCount++;
    
    } else {
      $scope.data.journalCount--;

      for (var index = $scope.data.topNews.length - 1; index >= 0; index--)
        if ($scope.data.topNews[index].journal.JID == data.journalID) {
          $scope.data.topNews[index].journal.focuses_count --;
          $scope.data.topNews.splice(index, 1);
        }
    }
  });

  $rootScope.$on('LIKE_CLICKED', function(event, data) {
    for (var index = 0; index < $scope.data.topNews.length; index++) {
      if ($scope.data.topNews[index].Nid == data.newsID)
        break;
    }

    if (index < $scope.data.topNews.length) {
      if (data.addFlag) {
        $scope.data.topNews[index].likes_count ++;
      } else {
        $scope.data.topNews[index].likes_count --;
      }
    }
  })

  $scope.doRefresh = function() {
    console.log('上拉刷新');
    init();
    $scope.$broadcast('scroll.refreshComplete');
  };

  $scope.loadMore = function() {
    ApiService
      .loadTopNewsOfFocusedJournals({
        pageNo: $scope.data.pageNo + 1
      })
      .then(function(response) {
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.totalCount = response.data.total;
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.journalCount = response.data.journalCount;
        for (var i = 0; i < response.data.topNews.length; i++) {
          $scope.data.topNews.push(response.data.topNews[i]);
        }
      })
      .catch(function(response) {
        if (error.status == 401) { // 已过期， 从新登陆
          AuthService
            .tokenExpired()
            .then(function() {
              ModalService.loginModal.open($rootScope.login);
            })
        }
      })
      .finally(function() {
        $ionicLoading.hide();
        $scope.$broadcast('scroll.infiniteScrollComplete');
      })
  }

  function init() {

    loadCategory();

    // loadTopNewsOfFocusedJournals();
  }

  init();

  // function loadTopNewsOfFocusedJournals() {
  //   $scope.data.loadingFinished = false;
  //   $ionicLoading.show({
  //     template: '加载中...',
  //     showBackdrop: true,
  //   });
  //   ApiService
  //     .loadTopNewsOfFocusedJournals({
  //       pageNo: 1
  //     })
  //     .then(function(response) {
  //       $scope.data.topNews = response.data.topNews;
  //       $scope.data.pageNo = response.data.pageNo;
  //       $scope.data.totalCount = response.data.total;
  //       $scope.data.totalPage = response.data.totalPage;
  //       $scope.data.journalCount = response.data.journalCount;
  //     })
  //     .catch(function(error) {
  //       if (error.status == 401) { // 已过期， 从新登陆
  //         AuthService
  //           .tokenExpired()
  //           .then(function() {
  //             ModalService.loginModal.open($rootScope.login);
  //           })
  //       }
  //     })
  //     .finally(function() {
  //       $scope.data.loadingFinished = true;
  //       $ionicLoading.hide();
  //     })
  // }


   function loadCategory() {
    ApiService
      .loadCategories()
      .then(function(response) {
        var categories = response.data;
        if (! categories.length) {
          $ionicLoading.hide();
          return;
        }
        LocalService
          .storeCategories(categories)
          .then(function(response) {
            $scope.data.categories = categories;
          })
          .catch(function(error) {
            //alert(JSON.stringify(error));
          })
      })
      .catch(function(error) {
        //alert("2:" + JSON.stringify(error));
      });
  }



})
