angular
.module('gu.controller')
.controller('AllJournalCategoryCtrl', function($scope, $rootScope, $state, $ionicHistory, $timeout, $location, $ionicLoading, $stateParams, $ionicScrollDelegate, LocalService, ApiService) {
  console.log('全部食神页');
  $scope.data = {
    categoryIndex: $stateParams.index,
    categories: LocalService.categories(),
    journals: [],
    recentJournals: [],

    totalPage: 1,
    pageNo: 1
  };

  $scope.goBack = function() {
    $rootScope.$ionicGoBack();;
  }

  $rootScope.$on('FOCUS_CLICKED', function(event, data) {
    for (var index = 0; index < $scope.data.journals.length; index++) {
      if ($scope.data.journals[index].JID == data.journalID)
        break;
    }

    if (index < $scope.data.journals.length) {
      if (data.addFlag) {
        $scope.data.journals[index].focuses_count ++;
      } else {
        $scope.data.journals[index].focuses_count --;
      }
    }
  });

  $scope.doRefresh = function() {
    init();
    $scope.$broadcast('scroll.refreshComplete');
  };


   function init() {
    loadRecentJournals();
  }

  function loadRecentJournals() {
    ApiService
      .loadRecentJournals({
        pageNo: 1
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.recentJournals = response.data.journals;
      })
      .catch(function(response) {
      })
      .finally(function(response) {
      })
  }

  init();

  $scope.loadMoreJournals = function() {
    ApiService
      .loadRecentJournals({
        pageNo: $scope.data.pageNo + 1
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;

        for (var i = 0; i < response.data.journals.length; i++) {
          var journal = response.data.journals[i];
          $scope.data.recentJournals.push(journal);
        }
      })
      .catch(function(response) {
      })
      .finally(function() {
        $scope.$broadcast('scroll.infiniteScrollComplete');
      })
  }




  $scope.$on('$ionicView.beforeEnter', function(event, data) {
    init();
  })

})
