angular
.module('gu.controller')
.controller('JournalCtrl', function($scope, $rootScope, $state, $ionicHistory, $ionicScrollDelegate, $location, $ionicLoading,AuthService,LocalService, ApiService) {
  console.log('小刊页');
  $scope.data = {
    flag: 0,
    categories: LocalService.categories(),
    hotJournals: [],
    recentJournals: [],
    focusedJournals: [],
    keyword: '',

    totalPage: 1,
    pageNo: 1,
    isAuthenticated: AuthService.isAuthenticated()
  };

  // $rootScope.$on('FOCUS_CLICKED', function(event, data) {
  //   for (var index = 0; index < $scope.data.recentJournals.length; index++) {
  //     if ($scope.data.recentJournals[index].JID == data.journalID)
  //       break;
  //   }
  //   if (index < $scope.data.recentJournals.length) {
  //     if (data.addFlag) {
  //       $scope.data.recentJournals[index].focuses_count ++;
  //     } else {
  //       $scope.data.recentJournals[index].focuses_count --;
  //     }
  //   }
  // });


   $rootScope.$on('FOCUS_CLICKED', function(event, data) {
    if (data.addFlag) {
      ApiService
        .loadJournal({
          journalID: data.journalID
        })
        .then(function(response) {
          $scope.data.focusedJournals.push(response.data.journal);
        })
        .catch(function(error) {})
    } else {
      for (var index = 0; index < $scope.data.focusedJournals.length; index++)
        if ($scope.data.focusedJournals[index].JID == data.journalID)
          break;
      if (index < $scope.data.focusedJournals.length) {
        $scope.data.focusedJournals[index].focuses_count --;
        $scope.data.focusedJournals.splice(index, 1);
      }
    }
  });

  $scope.doRefresh = function() {
    console.log('上啦刷新');
    init();
    $scope.$broadcast('scroll.refreshComplete');
  };

   $scope.search = function() {
      if (! $scope.data.keyword) return;
      $state.go('search', {keyword: $scope.data.keyword});
      $scope.data.keyword = '';
      $scope.data.flag = 0;
    }

   $scope.flag = function() {
      $scope.data.flag = 1;
   }
   $scope.cancel = function() {
      $scope.data.flag = 0;
   }

   $scope.loadMore = function() {
    ApiService
      .loadFocusedJournals({
        pageNo: $scope.data.pageNo + 1
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;

        for (var i = 0; i < response.data.focusedJournals.length; i++) {
          $scope.data.focusedJournals.push(response.data.focusedJournals[i]);
        }
      })
      .catch(function(error) {
        if (error.status == 401) { // 已过期， 从新登陆
          AuthService
            .tokenExpired()
            .then(function() {
              ModalService.loginModal.open($rootScope.login);
            })
        }
      })
      .finally(function() {
        $ionicLoading.hide();
        $scope.$broadcast('scroll.infiniteScrollComplete');
      })
  }

  init();

  function init() {
    $scope.data.categories = LocalService.categories();
    loadHotJournals();
    loadRecentJournals();
    loadFocusedJournals();
  }

  function loadHotJournals() {
    ApiService
      .loadHotJournals({
        pageNo: 1
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.hotJournals = response.data.journals;
      })
      .catch(function(response) {
      })
      .finally(function(response) {
      })
  }

   function loadRecentJournals() {
    ApiService
      .loadRecentJournals({
        pageNo: 1
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.recentJournals = response.data.journals;
      })
      .catch(function(response) {
      })
      .finally(function(response) {
      })
  }

  function loadFocusedJournals() {
    $scope.data.loadingFinished = false;
    $ionicLoading.show({
      template: '加载中...',
      showBackdrop: true,
    });
    ApiService
      .loadFocusedJournals({
        pageNo: 1
      })
      .then(function(response) {
        $scope.data.focusedJournals = response.data.focusedJournals;
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
      })
      .catch(function(error) {
        if (error.status == 401) { // 已过期， 从新登陆
          AuthService
            .tokenExpired()
            .then(function() {
              ModalService.loginModal.open($rootScope.login);
            })
        }
      })
      .finally(function() {
        $scope.data.loadingFinished = true;
        $ionicLoading.hide();
      })
  }


})
